<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Users</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css" integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
    <link rel="stylesheet"  href="css/style.css">
    <style>
     .add_car{
        float:left;
        margin: 10px;
     }
     .show{
        float:left;
        margin: 10px;
     }
     .form-inline {
        padding-top: 19px;
        padding-left: 359px;
     }
    </style>

</head>

<body>
<div class="container my-2">
    <nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
        <a class="navbar-brand" href="#">Selling Cars</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarsExampleDefault">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Link</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link disabled" href="#" tabindex="-1" aria-disabled="true">Disabled</a>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="dropdown01" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Dropdown</a>
                    <div class="dropdown-menu" aria-labelledby="dropdown01">
                        <a class="dropdown-item" href="#">Action</a>
                        <a class="dropdown-item" href="#">Another action</a>
                        <a class="dropdown-item" href="#">Something else here</a>
                    </div>
                </li>
            </ul>

        </div>
    </nav>
    <br>
    <br>
    <br>
    <div class="card">
        <div class="card-body">
            <div role="main" class="container">
                <div class="starter-template">
                    <div th:switch="${cars}" class="container my-5">
                        <p class="my-5">
                            <a href="/cars/signup" class="btn btn-primary add_car"><i
                                    class="fas fa-car ml-2" id="id_addCar"> Add Cars</i></a>
                        </p>
                        <!--start dropdown-->
                        <div  th:switch="${unsoldcars}" class="dropdown show" id="id_unsoldcars">
                            <a class="btn btn-success dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                Unsold cars
                            </a>

                            <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                                <a  th:case="null" class="dropdown-item" href="#">No Cars yet!</a>
                                <div th:case="*">
                                    <div  th:each="unsoldcar : ${unsoldcars}">
                                        <a class="dropdown-item" th:href="@{/cars/sale/{id}(id=${unsoldcar.car_id})}"> <span th:text="${unsoldcar.namecar}"></span> </a>
                                    </div>
                                <!--<a class="dropdown-item" href="#">Another action</a>-->
                                <!--<a class="dropdown-item" href="#">Something else here</a>-->
                                </div>
                            </div>
                        </div>
                        <!-- end dropdown-->
                        <!-- start search -->
                        <form class="form-inline my-2 my-lg-0" th:action="@{/cars/search}">
                            <input  class="form-control mr-sm-2" type="text" name="keyword" aria-label="Search" id="keyword" size="20" th:value="${keyword}" required/>&nbsp;
                            <input  class="btn btn-secondary my-2 my-sm-0" type="submit" value="Search" />
                            &nbsp;
                            <input  class="btn btn-secondary my-2 my-sm-0" type="button" value="Clear" id="btnClear" onclick="clearSearch()" />
                            &nbsp;
                        </form>
                          <br>
                        <!-- end  search -->
                        <div class="col-md-10">
                            <h2 th:case="null">No Cars yet!</h2>
                            <div th:case="*">
                                <table class="table table-striped table-responsive-md">
                                    <thead>
                                    <tr>
                                        <th>Name Car</th>
                                        <th>numSets</th>
                                        <th>dateSale</th>
                                        <th>PriceOfCar</th>
                                        <th>PriceOfSale</th>
                                        <th>nameOfBuyer</th>
                                        <th>isSale</th>
                                        <th>Edit</th>
                                        <th>Delete</th>
                                        <th>Selling</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="car : ${cars}">
                                        <td th:text="${car.namecar}"></td>
                                        <td th:text="${car.numSets}"></td>
                                        <td th:text="${car.dateSale}"></td>
                                        <td th:text="${car.PriceOfCar}"></td>
                                        <td th:text="${car.PriceOfSale}"></td>
                                        <td th:text="${car.nameOfBuyer}"></td>
                                        <td th:text="${car.isSale}"></td>
                                        <td><a th:href="@{/cars/edit/{id}(id=${car.car_id})}" class="btn btn-primary"><i class="fas fa-user-edit ml-2"></i></a></td>
                                        <td><a th:href="@{/cars/delete/{id}(id=${car.car_id})}" class="btn btn-danger"><i class="fas fa-user-times ml-2"></i></a></td>
                                        <td><a th:href="@{/cars/sale/{id}(id=${car.car_id})}" class="btn btn-success"><i class="fas fa-car ml-2"></i></a></td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>

                        </div>
                    </div>
                </div>
            </div><!-- /.container -->


        </div>
    </div>
</div>


	<script type="text/javascript"
		th:src="@{/webjars/jquery/3.2.1/jquery.min.js/}"></script>
	<script type="text/javascript"
		th:src="@{/webjars/bootstrap/3.3.7/js/bootstrap.min.js}"></script>

		<script type="text/javascript">
			function clearSearch(){
			window.location = "[[@{/cars/index}]]";
			}
		
		</script>
		<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script>window.jQuery || document.write('<script src="/docs/4.5/assets/js/vendor/jquery.slim.min.js"><\/script>')</script><script src="/docs/4.5/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>

        <script src="https://cdn.bootcss.com/jquery/1.11.3/jquery.js"></script>
        <script type="text/javascript"
            th:src="@{/webjars/bootstrap/3.3.7/js/bootstrap.min.js}"></script>
            
        <script>
            	$(function() {
				$("#id_addCar").click(function () {
                  
							$.ajax({
								type : "GET",
								url: "/cars/signup",
								contentType: "application/json;charset=UTF-8",
								accepts: "application/json",
								crossDomain : true,
								
								headers : {
									"Authorization" : 'Bearer '+localStorage.getItem("token"),
								},
								error: function (request) {
									alert("errorGet  "+localStorage.getItem("token"))
									console.log("Connection error"+localStorage.getItem("token"));
								},
								success: function (data) {
									//save token
									alert("successGet")
									console.log("Successfull");

								}
							});
                })
                })
                     
        </script>
		<!-- <script>
	     $(function() {
				//$("#login-submit").click(function () {
			$("#Add-Car-Show").click(function(){	
               
				$.ajax({

					
					url: '/hello',
					type : 'GET',
					contentType : 'application/json',
					headers : {
						Authorization : 'Bearer '+localStorage.getItem('token'),
					},
					
					error: function (request) {
						alert("errorGet")
						console.log("Connection error");
					},
					success: function (data) {
						//save token
						alert("Bearer "+localStorage.getItem("token"))
						console.log("Bearer "+localStorage.getItem("token"));
					}
					});


					// $.ajax({
					// 	url: '/cars/index',
					// 	type : 'GET',
					// 	contentType : 'application/json',
					// 	headers : {
					// 		Authorization : 'Bearer '+localStorage.getItem('token'),
					// 	},

					// 	error: function (request) {
					// 		alert("errorGetindex")
					// 		console.log("Connection error");
					// 	},
					// 	success: function (data) {
					// 		//save token
					// 		alert("Bearer "+localStorage.getItem("token"))
					// 		console.log("Bearer "+localStorage.getItem("token"));
					// 	}
					// 	});

			});
		});
		   
	
</script> -->

	<!-- <script>
		var token = localStorage.getItem('token')
		request.get('http://localhost:8094/')
        .set('Authorization', 'Bearer '+ token.toString)
        .set('Accept', 'application/json')
        .set('Content-Type', 'application/json')
        .end(function(err){
            
        });
	</script> -->
</body>
</html>